| IGLib 1.4 The IGLib base library for development of numerical, technical and business applications.

- Main Page
- Namespaces
- Classes
- Files
- Directories

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions | Properties | Private Member Functions

# IG::Num::ScalarFunctionParametricBase Class Reference

Base class for parameterized scalar functions with affine transformation of co-ordinates. Parameters that completely define the function out of parametric family of functions can be queried or set. Affine transformation of coordinates is included: the reference function evaluation must be defined while the actual function is defined as that reference function of transformed coordinates. If transformation is not specified then function reduces to the reference one. More...

Inheritance diagram for IG::Num::ScalarFunctionParametricBase:
[legend]
Collaboration diagram for IG::Num::ScalarFunctionParametricBase:
[legend]

List of all members.

## Public Member Functions
| ScalarFunctionParametricBase (IVector parameters)
| Constructor. Does not define affine transformation of the function.
| ScalarFunctionParametricBase (IVector parameters, IAffineTransformation transformation)
| Cobnstructor. Creates a new parametric scalar function with the specified parameters and transformation of coordinates.
virtual double[] | GetParameters ()
| Returns parameters of the current parametric function as an array.
virtual void | SetParameters (double[] parameters)
| Sets parameters of the current parametric functions, where parameters are specified as array.
virtual double | GetParameter (int which)
| Returns value of the specified parameter of the parameterized function.
virtual void | SetParameter (int which, double value)
| Sets the specific parameters of the parameterized function.
## Properties
abstract IVector | Parameters`[get, set]`
| Gets or sets parameters that define the specific function out of parametric familiy of scalar functions. Usually a reference is set or returned.
virtual int | NumParameters`[get]`
| Gets number of parameters that define the current function out of parametric family of scalar functions.
## Private Member Functions
| ScalarFunctionParametricBase ()
| Default constructor is inaccessible because it has no meaning.

## Detailed Description

Base class for parameterized scalar functions with affine transformation of co-ordinates. Parameters that completely define the function out of parametric family of functions can be queried or set. Affine transformation of coordinates is included: the reference function evaluation must be defined while the actual function is defined as that reference function of transformed coordinates. If transformation is not specified then function reduces to the reference one.

This base class does not implement data containing parameters. This enables to derive base classes with different representations of parameters, e.g. with only one number for one parametric functions. $A Igor Dec10;

## Constructor & Destructor Documentation

IG::Num::ScalarFunctionParametricBase::ScalarFunctionParametricBase | ( |  | ) | `[inline, private]`

Default constructor is inaccessible because it has no meaning.

IG::Num::ScalarFunctionParametricBase::ScalarFunctionParametricBase | ( | IVector | parameters | ) | `[inline]`

Constructor. Does not define affine transformation of the function.

Parameters:

  parameters | Vector of parameters that define a specific function out of a parametric family of functions.

IG::Num::ScalarFunctionParametricBase::ScalarFunctionParametricBase | ( | IVector | parameters,
|  | IAffineTransformation | transformation
| ) |  | `[inline]`

Cobnstructor. Creates a new parametric scalar function with the specified parameters and transformation of coordinates.

Parameters:

  parameters | Vector of parameters that define a specific function out of a parametric family of functions.
  transformation | Affine transformation of coordinates. Actual function is calculated as some reference function evaluated at inverse affine transformed parameters. If null then transformation is not applied.

## Member Function Documentation

virtual double [] IG::Num::ScalarFunctionParametricBase::GetParameters | ( |  | ) | `[inline, virtual]`

Returns parameters of the current parametric function as an array.

Usually, implementations use vector as natural representation of parameters, therefore this function creates an array and copies values.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionOneParametric.

virtual void IG::Num::ScalarFunctionParametricBase::SetParameters | ( | double[] | parameters | ) | `[inline, virtual]`

Sets parameters of the current parametric functions, where parameters are specified as array.

Parameters:

  parameters | Array of parameters. Array length must correspond to actual number of parameters.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionOneParametric.

virtual double IG::Num::ScalarFunctionParametricBase::GetParameter | ( | int | which | ) | `[inline, virtual]`

Returns value of the specified parameter of the parameterized function.

Parameters:

  which | Specifies which parameter is returned.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionOneParametric.

virtual void IG::Num::ScalarFunctionParametricBase::SetParameter | ( | int | which,
|  | double | value
| ) |  | `[inline, virtual]`

Sets the specific parameters of the parameterized function.

Parameters:

  which | Specifies which parameter is set.
  value | Value of the specified parameter.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionOneParametric.

## Property Documentation

abstract IVector IG::Num::ScalarFunctionParametricBase::Parameters`[get, set]`

Gets or sets parameters that define the specific function out of parametric familiy of scalar functions. Usually a reference is set or returned.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionParametric, and IG::Num::ScalarFunctionOneParametric.

virtual int IG::Num::ScalarFunctionParametricBase::NumParameters`[get]`

Gets number of parameters that define the current function out of parametric family of scalar functions.

Implements IG::Num::IScalarFunctionParametric.

Reimplemented in IG::Num::ScalarFunctionOneParametric.

The documentation for this class was generated from the following file:

- FunctionScalarParametric.cs

All Classes Namespaces Files Functions Variables Enumerations Properties Events